/* 
 *	Jeti, a Java Jabber client, Copyright (C) 2004 E.S. de Boer  
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *	For questions, comments etc, 
 *	use the website at http://jeti.jabberstudio.org
 *  or mail me at eric@jeti.tk or Jabber at jeti@jabber.org
 *
 *	Created on 20-okt-2004
 */
 
package nu.fw.jeti.backend;

import java.util.HashMap;
import java.util.Map;

import nu.fw.jeti.events.IQResultListener;
import nu.fw.jeti.jabber.elements.InfoQuery;

/**
 * @author E.S. de Boer
 *
 */
//TODO add timeout, add muc and disco timeout to this (priority queue with timer)
public class IQTimerQueue
{
	private Map iqs = new HashMap(25);
	
	public void add(InfoQuery query, IQResultListener listener,int timeout)
	{
		if(query.getID()==null)
		{
			System.err.println("query id is null" + query);
			return;
		}
		iqs.put(query.getID(),listener);
	}
	
	public IQResultListener getInfoQueryListener(String id)
	{
		return (IQResultListener)iqs.remove(id);
	}
	
	public void clear() {iqs.clear();}
	
}

/*
 * Overrides for emacs
 * Local variables:
 * tab-width: 4
 * End:
 */
